//Inicializacion de variables de juego ////////////////////////////////////////
localStorage.TotalPreguntas = (localStorage.TotalPreguntas || 0);//Total de preguntas hechas
localStorage.Contestadas = (localStorage.Contestadas || 0);//Total de Preguntas contestadas 
localStorage.PreguntasCorrectas = (localStorage.PreguntasCorrectas || 0);//Total de Preguntas contestadas de forma correcta
localStorage.PreguntasIncorrectas = (localStorage.PreguntasIncorrectas || 0);//TotalPreguntas contestadas de forma incorrecta
localStorage.PreguntasSaltadas = (localStorage.PreguntasSaltadas || 0);//Total de preguntas saltadas
localStorage.PuntosTotales = (localStorage.PuntosTotales || 0);//Total de puntos acumulados
localStorage.PuntosLive = (localStorage.PuntosLive || 0);//Maximo de puntos por vida
localStorage.Nivel = (localStorage.Nivel || 0);//Nivel actual
localStorage.Preguntas = (localStorage.Preguntas || "");//El numero de la preguntas que se an hecho
localStorage.MaxResCorretas = (localStorage.MaxResCorretas || 0);//El numero maximo de preuntas contestadas de manera seguida sin perder una vida
localStorage.PuntNivelActual = (localStorage.PuntNivelActual || 0);
localStorage.Experiencia = (localStorage.Experiencia || 0);
localStorage.Vidas = (localStorage.Vidas || 3);//Numero Total de vidas
localStorage.Flat = (localStorage.Flat || 0);//Verifica si se esta produciendo una vida
localStorage.HoraInicio = (localStorage.HoraInicio || 0);
localStorage.HoraFinal = (localStorage.HoraFinal || 0);
localStorage.MinutosInicio = (localStorage.MinutosInicio || 0);//
localStorage.MinutosFinal = (localStorage.MinutosFinal || 0);//
localStorage.SegInicio = (localStorage.SegInicio || 0);//
localStorage.SegFinal = (localStorage.SegFinal || 0);
localStorage.DiaInicio = (localStorage.DiaInicio || 0);
localStorage.NombreUsuario = (localStorage.NombreUsuario || "");
localStorage.ImgLogro = (localStorage.ImgLogro || 0);
localStorage.ImgPais = (localStorage.ImgPais || 0);
localStorage.NomPais = (localStorage.NomPais || 0);
localStorage.PtsClasificacion = (localStorage.PtsClasificacion || 0);
localStorage.PtsLogro = (localStorage.PtsLogro || 0);
var DataTitleLogro = new Array();
DataTitleLogro = ["Principiante Basico","Principiante","Avanzado Basico","Avanzado Principiante","Avanzado Jr","Avanzado","Experto Basico","Experto Principiante","Experto Jr","Experto","Experto Avanzado","Maestro Basico","Maestro Principiante","Maestro Jr","Maestro","Maestro Avanzado","Maestro Experto"];

var TiempoRestante = 0;
var FlatTiempo = 0;
var inicio = 0;
var Preguntas;
var Selec_Pregunta ="";//Guarda la pregunta seleccionada
var TotalPuntos = 0;//Total de puntos para ese juego
var Posicion;//Posicion de la pregunta seleccionada
var MaxPointLive = 0;
var Naciertos = 0;//Número de aciertos para le bono
var PregSeg = 0;//Preguntas seguidas coorrectas
var nseg = 0;
var JuegoActivo = 0;
var FlatJuego = 0;//Verifica si se puede cambiar de la pagina Juego
Preguntas = (Geografia).concat(Biologia).concat(Fisica).concat(Quimica).concat(Personajes).concat(Historia).concat(Ciencia).concat(Deporte).concat(General);//Banco de preguntas
var OpcionPreguntas = new Array();
//Selecciona una pregunta del banco de preguntas
function Buscar_Pregunta () {
	nseg = 0;
	TiempoRestante = 15;
	Mostrar_Tiempo();
	JuegoActivo = 1;
	FlatTiempo = 0;
	var aux = true;
	var Opciones;
	var Npreguntas = Preguntas.length;//Numero de total de preguntas
	Posicion = Math.floor(Math.random()*Npreguntas);//Seleccion de la posicion de la pregunta
	//Mostrar la pregunta [0] nombre de categoria [1] la pregunta [2] verdadero o falso
	//Verificar almenos que la pregunta no se repita por cada 100 preguntas
	while (aux){
		if (localStorage.Preguntas.split("-").indexOf(""+Posicion+"")!== -1) {
			Posicion = Math.floor(Math.random()*Npreguntas);
		}else{
			aux = false;
		}
	}
	Selec_Pregunta = Preguntas[Posicion];//Se toma la pregunta correspondiente a esa posicion
	$("#titulo_categoria").html(Selec_Pregunta.split(";")[0]);
	$("#cont_pregun").html(Selec_Pregunta.split(";")[1]);
	Opciones = Selec_Pregunta.split(";")[2];
	OpcionPreguntas[0] = Opciones.split("|")[0];
	OpcionPreguntas[1] = Opciones.split("|")[1];
	OpcionPreguntas[2] = Opciones.split("|")[2];
	OpcionPreguntas[3] = Opciones.split("|")[3];
	$("#Btn_Opcion_A").html("A) "+OpcionPreguntas[0]);
	$("#Btn_Opcion_B").html("B) "+OpcionPreguntas[1]);
	$("#Btn_Opcion_C").html("C) "+OpcionPreguntas[2]);
	$("#Btn_Opcion_D").html("D) "+OpcionPreguntas[3]);
}
//Guarda la posicion de la pregunta seleccionada
function Guardar_Pregunta () {
	if (localStorage.Preguntas.split("-").length > 90) {
		localStorage.Preguntas = localStorage.Preguntas + "-" + Posicion;
		var x = localStorage.Preguntas.split("-");
		localStorage.Preguntas = "";
		for (var i = 0; i < x.length; i++) {
			if (i > 0) {
				if (localStorage.Preguntas == "") {
					localStorage.Preguntas = x[i];
				}else{
					localStorage.Preguntas = localStorage.Preguntas + "-" +  x[i];
				}
			};
		};
	}else{
		if (localStorage.Preguntas == "") {
			localStorage.Preguntas = Posicion;
		}else{
			localStorage.Preguntas = localStorage.Preguntas + "-" + Posicion;
		}
	}
}
//Verificar la respuesta de la pregunta
function Verificar_Respuesta (n) {
	FlatJuego = 0;
	var PuntosObtenidos = 0;
	localStorage.TotalPreguntas = + localStorage.TotalPreguntas + 1;
	localStorage.Contestadas = + localStorage.Contestadas + 1;
	//Guardar la nueva pregunta que se repondio para que no se vuelva a repetir por x pregunta
	Guardar_Pregunta();
	FlatTiempo = 1;
	if (OpcionPreguntas[n] == (Selec_Pregunta.split(";")[3])) {
		localStorage.PreguntasCorrectas = + localStorage.PreguntasCorrectas + 1;
		//Actualizar los puntos
		PuntosObtenidos = 3;
		localStorage.Experiencia = +localStorage.Experiencia  + (PuntosObtenidos * (Math.floor((Math.random()*3)+1)));
		TotalPuntos = parseInt(TotalPuntos) + PuntosObtenidos;
		localStorage.PuntosTotales = +localStorage.PuntosTotales + PuntosObtenidos;
		MaxPointLive = MaxPointLive + PuntosObtenidos;
		$(".ju-puntos").html("+"+PuntosObtenidos);
		$(".ju-puntos").css("color","#3CD83C");
		$(".ju-puntos").fadeIn();
		$(".ju-puntos").fadeOut(800);
		Mostrar_Puntos();
		Naciertos++;
		PregSeg++;
		//Calcula un bono de puntos dependiendo de cuantas preguntas a contestado correctas de manera seguida
		if (Naciertos > (Math.floor(Math.random()*4))+8) {//Calcula el bono 
			PuntosObtenidos = Math.floor(Math.random()*4)+6;
			Naciertos = 0;
			TotalPuntos = parseInt(TotalPuntos) + PuntosObtenidos;
			localStorage.PuntosTotales = +localStorage.PuntosTotales + PuntosObtenidos;
			MaxPointLive = MaxPointLive + PuntosObtenidos;
			$("#Puntos_Bonus").html("Bono <br>+"+PuntosObtenidos);
			$("#Puntos_Bonus").fadeIn();
			$("#Puntos_Bonus").fadeOut(1000);
			Mostrar_Puntos();
			localStorage.Experiencia = +localStorage.Experiencia  + (PuntosObtenidos * (Math.floor((Math.random()*3)+1)));
		}
		//Verificar si se subio de nivel
		if (localStorage.Nivel == 0) {
			if (localStorage.Experiencia > 16) {
				localStorage.Nivel++;
				localStorage.PuntNivelActual = parseInt(16);
			};
		}else{
			if (localStorage.Nivel > 0) {
				var SigNivel = Math.floor(parseInt(localStorage.PuntNivelActual) + ((localStorage.PuntNivelActual*50)/100));
				if (localStorage.Experiencia > SigNivel) {
					localStorage.Nivel++;
					localStorage.PuntNivelActual = SigNivel;
					$("#ModalNivel").removeClass("Ocultar_Alert_New_Nivel");
					$("#ImgNewNivel").html("");
					setTimeout(function e () {
						$("#ImgNewNivel").html("<center><img class='AnimacionNivelInicio' src='Img/Niveles/Nivel"+localStorage.Nivel+".png'></center>");
					},1900);
					$("#ModalNivel").addClass("Mostrar_Alert_New_Nivel");
				};				
			};
		}
		$(".alert-notificacion").removeClass("alert-danger");
		$(".alert-notificacion").addClass("alert-success");
		$(".alert-notificacion").find(".fa").removeClass("fa-times");
		$(".alert-notificacion").find(".fa").addClass("fa-echek");
		$("#Info-Text").html("Correcto");
		$("#Info-Text").css("color","#3c763d");
		$(".confirmacion").fadeIn();
		$("#Btn-Continuar").removeClass("disabled");
		$("#Btn-Saltar").addClass("disabled");
	}else{
		localStorage.PreguntasIncorrectas = + localStorage.PreguntasIncorrectas + 1;
		if (MaxPointLive > localStorage.PuntosLive) {
			localStorage.PuntosLive = MaxPointLive;
		};
		if (PregSeg  > localStorage.MaxResCorretas) {
			localStorage.MaxResCorretas = PregSeg;
		};
		window.navigator.vibrate(1000);
		MaxPointLive = 0;
		PregSeg = 0;
		$(".alert-notificacion").removeClass("alert-success");
		$(".alert-notificacion").addClass("alert-danger");
		$(".alert-notificacion").find(".fa").removeClass("fa-echek");
		$(".alert-notificacion").find(".fa").addClass("fa-times");
		$("#Info-Text").html("Incorrecto");
		$("#Info-Text").css("color","#a94442");
		$(".confirmacion").fadeIn();
		$("#Btn-Continuar").removeClass("disabled");
		$("#Btn-Saltar").addClass("disabled");
		$(".ju-vida").fadeIn();
		Naciertos = 0;
		$(".ju-vida").fadeOut(800);
		localStorage.Vidas = localStorage.Vidas - 1;
		Mostrar_Vidas();
		Crear_Nueva_Vida();
	}
}
//Mostrar el tiempo que le queda ala nueva vida
function Mostrar_Nueva_Vida(){
	var XHA = new Date();
	var XHHA = XHA.getHours();
	var XMA = XHA.getMinutes();
	var XSA = XHA.getSeconds();
	var XXD = XHA.getDate();
	var XMR;
	var XSR;
	var aux;
	if (localStorage.Flat == 1) {
		if (XMA > localStorage.MinutosFinal) {
			if (localStorage.Vidas < 3) {
				localStorage.Vidas++;
				localStorage.HoraInicio = localStorage.HoraFinal;
				localStorage.HoraFinal = localStorage.HoraFinal;
				localStorage.MinutosInicio = localStorage.MinutosFinal;
				localStorage.MinutosFinal = parseInt(localStorage.MinutosInicio) + 5;
				localStorage.SegInicio = localStorage.SegFinal;
				localStorage.SegFinal = localStorage.SegInicio;
				if (localStorage.MinutosInicio > 59 ) {
					localStorage.HoraFinal++;
				};
				localStorage.Flat = 1;
			}else{
				localStorage.Flat = 0;
			}
		}else{
			if (XHHA > localStorage.HoraFinal) {
				if (localStorage.Vidas < 3) {
					localStorage.Vidas++;
					localStorage.HoraInicio = localStorage.HoraFinal;
					localStorage.HoraFinal = localStorage.HoraFinal;
					localStorage.MinutosInicio = localStorage.MinutosFinal;
					localStorage.MinutosFinal = parseInt(localStorage.MinutosInicio) + 5;
					localStorage.SegInicio = localStorage.SegFinal;
					localStorage.SegFinal = localStorage.SegInicio;
					if (localStorage.MinutosInicio > 59 ) {
						localStorage.HoraFinal++;
					};
					localStorage.Flat = 0;
				}else{
					localStorage.Flat = 0;
				}
			}else{
				if (localStorage.DiaInicio < XXD){
					localStorage.Vidas = 3;
					Mostrar_Vidas();
					localStorage.Flat = 0;
				}else{
					XMR = (localStorage.MinutosFinal - XMA) - 60;
					XSR = localStorage.SegFinal - XSA;
					if (XMR < 0) {
						XMR = 60 - (XMR*-1);
					};
					if (XSR < 0) {
						XMR = XMR - 1;
						XSR = 60 - (XSR*-1);
					};
					if (XMR == 0 && XSR == 0) {
						localStorage.Flat = 0;
						if (localStorage.Vidas < 3) {
							localStorage.Vidas++;
							$("#Most_Vida_Jue").find(".iconVida").addClass("animacion_nueva_vida");
							$("#cab_jue_newv").fadeIn();
							setTimeout(function () {
								$("#cab_jue_newv").fadeOut();
							},600);	
						};
					};
					if (XSR < 10) {
						aux = "0"+XSR;
						XSR = aux;
					};
					$("#Tiempo_Vida").html(XMR+":"+XSR);
					$(".info-tiempo-vida").html(" "+XMR+":"+XSR);
				}
			}
		}
	}else{
		if (XMA > localStorage.MinutosFinal) {
			if (localStorage.Vidas < 3) {
				localStorage.Vidas++;
				localStorage.HoraInicio = localStorage.HoraFinal;
				localStorage.HoraFinal = localStorage.HoraFinal;
				localStorage.MinutosInicio = localStorage.MinutosFinal;
				localStorage.MinutosFinal = parseInt(localStorage.MinutosInicio) + 5;
				localStorage.SegInicio = localStorage.SegFinal;
				localStorage.SegFinal = localStorage.SegInicio;
				if (localStorage.MinutosInicio > 59 ) {
					localStorage.HoraFinal++;
				};
				localStorage.Flat = 1;
			}else{
				localStorage.Flat = 0;
			}
		}else{
			if (XHHA > localStorage.HoraFinal) {
				if (localStorage.Vidas < 3) {
					localStorage.Vidas++;
					localStorage.HoraInicio = localStorage.HoraFinal;
					localStorage.HoraFinal = localStorage.HoraFinal;
					localStorage.MinutosInicio = localStorage.MinutosFinal;
					localStorage.MinutosFinal = parseInt(localStorage.MinutosInicio) + 5;
					localStorage.SegInicio = localStorage.SegFinal;
					localStorage.SegFinal = localStorage.SegInicio;
					if (localStorage.MinutosInicio > 59 ) {
						localStorage.HoraFinal++;
					};
					localStorage.Flat = 0;
				}else{
					localStorage.Flat = 0;
				}
			}else{
				if (localStorage.DiaInicio < XXD) {
					localStorage.Vidas = 3;
					Mostrar_Vidas();
					localStorage.Flat = 0;
				}else{
					if (localStorage.Vidas < 3) {
						Crear_Nueva_Vida();
					}
				}
			}
		}
	}
}
//Crea una nueva vida si se puede hacer
function Crear_Nueva_Vida () {
	if (localStorage.Flat == 0) {
		//Si se tiene menos de 3 vidas se procede hacer la nueva vida
		$("#Most_Vida_Jue").find("i").removeClass("animacion_nueva_vida");
		if (localStorage.Vidas < 3) {
			var XH = new Date();
			var XHH = XH.getHours();
			var XM = XH.getMinutes();
			var XS = XH.getSeconds();
			var XD = XH.getDate();
			//Se asignan los valores para marcar el inicio 
			//Y final de la nueva vida en construccion
			localStorage.DiaInicio = XD; 
			localStorage.HoraInicio = XHH;
			localStorage.HoraFinal = XHH;
			localStorage.MinutosInicio = XM;
			localStorage.SegInicio = XS;
			localStorage.MinutosFinal = XM + 5;
			localStorage.SegFinal = XS;
			if (localStorage.MinutosFinal > 59) {
				localStorage.HoraFinal++;
			};
			localStorage.Flat = 1;
		}
	};
}
//Mostrar Puntos
function Mostrar_Puntos (e) {
	$("#Most_Puntaje").find("i").html(" "+TotalPuntos);
}
////Mostrar numero de vidas////
function Mostrar_Vidas () {
	$("#Most_Vida_Jue").find(".numVida").html(" &nbsp;&nbsp;&nbsp;"+localStorage.Vidas);//Muestra el numero de vidas disponibles
}
//Seleccionar la siguiente pregunta
function Siguiente_Pregunta () {
	if (localStorage.Vidas > 0) {
		$(".confirmacion").fadeOut();
		$("#Btn-Continuar").addClass("disabled");
		$("#Btn-Saltar").removeClass("disabled");
		setTimeout(function e () {
			Buscar_Pregunta();
		},500);
		$(".informacion").fadeOut();
		FlatTiempo = 0;
		Mostrar_Tiempo();
		FlatJuego = 1;
	}else{
		alert("No posee mas vidas");
		$(".informacion").fadeIn();
	}
}
//Saltar Pregunta actual
function Saltar_Pregunta () {
	Buscar_Pregunta();
	localStorage.TotalPreguntas = + localStorage.TotalPreguntas + 1;
	localStorage.PreguntasSaltadas = + localStorage.PreguntasSaltadas + 1;
	Naciertos = 0;
	PregSeg = 0;
}
//Calcular puntos de clasificacion
function Calcular_Pts_Clasificacion (argument) {
	localStorage.PtsClasificacion = Math.floor((localStorage.Experiencia/5) + (localStorage.PuntosTotales/2));	
}
//Mostrar Tiempo restante que le queda a la pregunta
function Mostrar_Tiempo () {
	$("#Most_Tiempo").find("i").html(" "+TiempoRestante);
}
//Mostrar estadisticas 
function Mostrar_Estadisticas (e) {
	$("#Tabla-Estadisticas").find("tr:eq(0)").find("td:eq(1)").html(localStorage.Experiencia);
	$("#Tabla-Estadisticas").find("tr:eq(1)").find("td:eq(1)").html(localStorage.TotalPreguntas);
	$("#Tabla-Estadisticas").find("tr:eq(2)").find("td:eq(1)").html(localStorage.Contestadas);
	$("#Tabla-Estadisticas").find("tr:eq(3)").find("td:eq(1)").html(localStorage.PreguntasCorrectas);
	$("#Tabla-Estadisticas").find("tr:eq(4)").find("td:eq(1)").html(localStorage.PreguntasIncorrectas);
	$("#Tabla-Estadisticas").find("tr:eq(5)").find("td:eq(1)").html(localStorage.PreguntasSaltadas);
	$("#Tabla-Estadisticas").find("tr:eq(6)").find("td:eq(1)").html(localStorage.MaxResCorretas);
	$("#Tabla-Estadisticas").find("tr:eq(7)").find("td:eq(1)").html(localStorage.PuntosTotales);
	$("#Tabla-Estadisticas").find("tr:eq(8)").find("td:eq(1)").html(localStorage.PuntosLive);
	$("#Tabla-Estadisticas").find("tr:eq(9)").find("td:eq(1)").html(localStorage.Nivel);
	
	if (localStorage.Contestadas > 0) {
		$("#Tabla-Estadisticas").find("tr:eq(10)").find("td:eq(1)").html(((parseInt(localStorage.PreguntasCorrectas) / parseInt(localStorage.Contestadas))*100).toFixed(0)+" %");
		$("#Tabla-Estadisticas").find("tr:eq(11)").find("td:eq(1)").html(((parseInt(localStorage.PreguntasIncorrectas) / parseInt(localStorage.Contestadas))*100).toFixed(0)+" %");
	}else{
		$("#Tabla-Estadisticas").find("tr:eq(10)").find("td:eq(1)").html(0);
		$("#Tabla-Estadisticas").find("tr:eq(11)").find("td:eq(1)").html(0);
	}
	
	if (localStorage.Nivel == 0) {
		var SigNivel = 16;
		$("#Alert_Nivel").html("Nivel actual  0, aun te faltan "+(SigNivel - parseInt(localStorage.Experiencia))+" puntos de experiencia para el siguiente nivel 1");
	}else{
		var SigNivel = Math.floor(parseInt(localStorage.PuntNivelActual) + ((localStorage.PuntNivelActual*50)/100));
		$("#Alert_Nivel").html("Nivel actual "+localStorage.Nivel+", aun te faltan "+(SigNivel - parseInt(localStorage.Experiencia))+" puntos de experiencia para el siguiente nivel "+(parseInt(localStorage.Nivel)+1));
	
	}
	Calcular_Pts_Clasificacion();
	$("#Alert_Pts_Clas").html("Puntos de clasificación <b>"+localStorage.PtsClasificacion+"</b>");
	$("#Alert_Pts_Logro").html("Puntos de logro <b>"+localStorage.PtsLogro+"</b>");
	$("#Img_Logro").html("<img src='Img/Logro/Logro"+localStorage.ImgLogro+".png'>");
	$("#DataTitleLogro").html(DataTitleLogro[localStorage.ImgLogro]);
}
//Mostrar el juego
function Mostrar_Juego () {
	if (localStorage.Vidas > 0) {
		JuegoActivo = 1;
		FlatJuego = 1;
		$(".confirmacion").hide();
		$("#Btn-Continuar").addClass("disabled");
		$("#Btn-Saltar").removeClass("disabled");
		$(".informacion").css("display","none");
		Selec_Pregunta = "";
		Naciertos = 0;
		TotalPuntos = 0;
		Posicion;
		MaxPointLive = 0;
		PregSeg = 0;
		BonusAnt = 0;
		Mostrar_Puntos();
		Buscar_Pregunta();
		Mostrar_Vidas();
		nseg = 0;
		FlatTiempo = 0;
	}else{
		Mostrar_Vidas();
		$(".confirmacion").hide();
		$("#Btn-Continuar").removeClass("disabled");
		$("#Btn-Saltar").addClass("disabled");
		//Mostrar mensaje con el tiempo que falta para la siguiente vida
		$(".informacion").fadeIn();
	}
}
//Calcular logro 
function Calcular_Logro() {
	localStorage.PtsLogro = Math.floor(((localStorage.Contestadas*2) + (localStorage.PreguntasCorrectas*4) + (localStorage.Nivel*3)+ (localStorage.PuntosTotales/3) + (localStorage.Experiencia/10)) - ((localStorage.PreguntasIncorrectas*18)));
}
//Tiempo
function Tiempo () {
	Mostrar_Vidas();
	if (JuegoActivo == 1) {
		nseg++;
		if (FlatTiempo == 0) {
			if (nseg == 5) {
				TiempoRestante = TiempoRestante - 1;
				nseg = 0;
			};
			if (TiempoRestante == -1) {
				Mostrar_Tiempo();
				$(".ju-puntos").html("-1");
				$(".ju-puntos").css("color","red");
				$(".ju-puntos").fadeIn();
				$(".ju-puntos").fadeOut(800);
				localStorage.PuntosTotales = +localStorage.PuntosTotales - 1;
				TotalPuntos = parseInt(TotalPuntos) - 1;
				Mostrar_Puntos();
				FlatTiempo = 1;
				Buscar_Pregunta();
			};
			Mostrar_Tiempo();
		}else{
			TiempoRestante = 15;
			nseg = 0;
		};
	};
}
//Ressumen estadisticas pagina Home
function ResumenEstadisticas () {
	$("#HomeLv").find("b").html(localStorage.Nivel);
	if (localStorage.PreguntasCorrectas == 0) {
		$("#HomeCor").find("b").html("0 %");
		$("#HomeInc").find("b").html("0 %");
	}else{
		$("#HomeCor").find("b").html(((parseInt(localStorage.PreguntasCorrectas) / parseInt(localStorage.Contestadas))*100).toFixed(0)+" %");
		$("#HomeInc").find("b").html(((parseInt(localStorage.PreguntasIncorrectas) / parseInt(localStorage.Contestadas))*100).toFixed(0)+" %");
	}
	
	if (localStorage.RankingPuntos == "") {
		$("#PosRankPts").find("b").html("");
	}else{
		var x = localStorage.RankingExp.split("|").length;
		$("#PosRankPts").find("b").html(localStorage.RankingExp.split("|")[x-1].split(" ")[0]);
	}
	if (localStorage.RankingPtsClasificacion == "") {
		$("#PosRankClas").find("b").html("");
	}else{
		var x = localStorage.RankingPtsClasificacion.split("|").length;
		$("#PosRankClas").find("b").html(localStorage.RankingPtsClasificacion.split("|")[x-1].split(" ")[0]);
	}
	$("#HomeNumImg").html("<img src='Img/Logro/Logro"+localStorage.ImgLogro+".png'>");
	$("#Homelogro").html(DataTitleLogro[localStorage.ImgLogro]);
	$("#NombreUser").find("i").html(localStorage.NombreUsuario);
	$("#PaisUser").html("<img src='Img/Pais/C3/"+(localStorage.ImgPais).toLowerCase()+".png'>");
	$("#NomPaisUser").html(localStorage.NomPais);
}
//
$(document).ready(function e () {
	Calcular_Logro();
	$("#btn-new-count").click(function e () {
		$("#select_pais").css("display","none");
		$("#SpingPais").css("display","none");
		$("#myModal").modal('show');
		$("#TextSpinPais").find("i").addClass("fa-spin");
	    setTimeout(function e () {
	    	$("#SpingPais").css("display","block");
	    },400);
		setTimeout(function e () {
			$("#SpingPais").css("display","none");
			$("#TextSpinPais").find("i").removeClass("fa-spin");
			$("#select_pais").slideDown();
		},4500);
	});

	$("#BtnEnvPreguntas").click(function e () {
		$("#ModalListaPreguntas").modal("show");
	});

	$("#BtnNuevPreg").click(function e () {
		$("#CategoriaPreg").val("");
		$("#DescPregunta").val("");
		$("#DescOpcionA").val("");
		$("#DescOpcionB").val("");
		$("#DescOpcionC").val("");
		$("#DescOpcionD").val("");
		$("#SelecOptCorrecta").val("-1");
		$("#aler-error-modal-nw-preg").css("display","none");
		$("#ModalNuevaPregunta").modal('show');
	});

	if (localStorage.NombreUsuario == "") {
		$("#info-new-cuenta").css("display","block");
	}else{
		$("#data-info-user").css("display","block");
	}
	setInterval("Mostrar_Nueva_Vida()",1000);
	ResumenEstadisticas();
	$("#Btn-Jugar").click(function e () {
		$(".alert-btn-juego").fadeOut(400);
		setTimeout(function e () {
			Mostrar_Juego();
		},400);
	});
	
	$("#m3").click(function e () {
		if (FlatJuego == 0) {
			Mostrar_Estadisticas();
		};
	});

	$("#m2").click(function e () {
		if (FlatJuego == 0) {
			if (localStorage.Vidas > 0) {
				$(".confirmacion").css("display","none");
				$(".alert-btn-juego").css("display","block");
				$(".informacion").css("display","none");
			}else{
				$(".confirmacion").css("display","none");
				$(".alert-btn-juego").css("display","none");
				$(".informacion").css("display","block");
			}
		};
	});
	$("#m1").click(function e () {
		ResumenEstadisticas();
	});

	$("#m4").click(function e () {
		MostrarRanking();
	});

	$("#Btn_Opcion_A").click(function e (argument) {
		Verificar_Respuesta(0);
	});

	$("#Btn_Opcion_B").click(function e (argument) {
		Verificar_Respuesta(1);
	});

	$("#Btn_Opcion_C").click(function e (argument) {
		Verificar_Respuesta(2);
	});

	$("#Btn_Opcion_D").click(function e (argument) {
		Verificar_Respuesta(3);
	});

	$("#Btn-Saltar").click(function e (argument) {
		Saltar_Pregunta();
	});

	$("#Btn-Continuar").click(function e (argument) {
		Siguiente_Pregunta();
	});
	$("#Btn-Saltar").addClass("disabled");
	$("#Btn-Continuar").addClass("disabled");
	setInterval("Tiempo()",200);
	$('.btn-info-pop').find("i").popover();

	$("#BtnCmodNewN").click(function e () {
		$("#ModalNivel").removeClass("Mostrar_Alert_New_Nivel");
		$("#ModalNivel").addClass("Ocultar_Alert_New_Nivel");
	});
});